# Retrieve Metadata Templates Retrieve all metadata templates available to the requesting user The user submitting the request must have administrator rights to view metadata templates. Average Response Time: 492ms Endpoint: GET /metadata/template Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `Content-Type` (string, required) Enum: "application/json" ## Response 200 fields (application/json): - `template` (object) - `template.metadataGroups` (array) List of metadata groups this template contain - `template.metadataGroups.groupOrder` (integer) Display order of this group. - `template.metadataGroups.metadataGroupName` (string) Group name. - `template.metadataGroups.metadataGroupSearchField` (string) System-generated slug for the group. - `template.metadataGroups.securityPermissions` (array) Security permissions applied to this group. Empty array if none. - `template.metadataGroups.metadataAttributes` (array) List of this group's attributes. The shape of each attribute varies by type: - text (subType: textBox) — includes length, typeahead, techMetaMapping. Max 250 chars, supports faceting. - text (subType: textArea) — includes length, techMetaMapping. Max 10000 chars. Cannot be facetable or typeahead. - controlledVocabulary — includes controlledVocabularyId, isMultipleSelect - date — includes dateFormat - tableAttribute — includes tableFieldsDenormalized, isSingleRow, isSmartTable, tableNameVisible - cascadeAttribute — includes cascadeMapId, cascadeFieldsDenormalized, cascadeNameVisible - `template.templateId` (string) - `template.templateName` (string) - `template.createdEpoch` (integer) Example: 1234567890123 - `template.lastUpdatedEpoch` (integer) Example: 1234567890123 - `template.templateType` (array) Enum: "default", "action", "search", "proof", "tile" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)